Upload Legal Representative Documents
POST/v1/users/legal-representatives/:id/documents
Upload the legal representative document files (max size: 25 MB).
Important: document submission is managed per legal representative.
Required documents (must be uploaded for this representative to finalize onboarding):
selfie- Representative selfie photoidentity_document- ID, CNH or Passport (requiresidentity_document_type)qualification_declaration- Declaration of powers/qualification
Optional documents:
income_declaration- Income declarationaddress_proof- Proof of address
Related endpoint: POST /users/onboardings/legal-person/{id}/documents.
Request
Path Parameters
Legal representative ID.
Header Parameters
The nonce ID is a UUID (v4) used to uniquely identify the request. All requests must have an identifier.
Possible values: [pt-BR, en-US]
Indicates the preferred language. Defaults to Brazilian Portuguese if unspecified.
The product ID is a UUID (v4) used to identify the Z.ro product configuration.
The product target user ID is a UUID (v4) used to identify what user account this request must be executed. Require: x-product-uuid.
- multipart/form-data
Body
required
Possible values: [id, cnh, passport]
Identity document type (id, cnh, passport).
User selfie. Always required.
Identity document (ID, CNH, Passport). Always required.
Qualification declaration document. Always required.
Income declaration document. Optional.
Proof of address document. Optional.
Responses
- 201
- 400
- 401
- 403
- 422
The file upload returned successfully.
- application/json
- Schema
- Example (from schema)
Schema
- Array [
- ]
Legal representative document ID.
Uploaded file ID.
Uploaded file name.
Upload creation date.
Possible values: [id, cnh, passport]
Identity document type (id, cnh, passport). Present for identity documents.
Possible values: [selfie, identity_document, identity_document_front, identity_document_back, qualification_declaration, income_declaration, address_proof]
Stored legal representative document type.
[
{
"id": "1b2c3d4e-1234-5678-9abc-def012345678",
"file_id": "8fc58500-b12e-49d7-892c-dfd704b94c2d",
"file_name": "identity_document_front.jpg",
"created_at": "2024-01-15T10:30:00.000Z",
"identity_document_type": "id",
"type": "identity_document"
}
]
If any required params are missing or has invalid format or type.
User authentication failed.
If the authenticated user does not have permission.
If any required params are missing or has invalid format or type.